//-----------------------------------------------------------------------------------------------
// Basic Unlit Textured/Colored Primitive Fragment (Pixel) shader
//
#version 140


//-----------------------------------------------------------------------------------------------
uniform sampler2D u_diffuseTexture;


//-----------------------------------------------------------------------------------------------
in vec4 v_surfaceColor;
in vec2 v_texCoords;


//-----------------------------------------------------------------------------------------------
out vec4 o_fragColor;


//-----------------------------------------------------------------------------------------------
void main()
{
	vec4 diffuseTexel = texture( u_diffuseTexture, v_texCoords );
	o_fragColor = diffuseTexel * v_surfaceColor;
}

